%define apachedir /etc/httpd
%define apacheuser apache 
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde web-based Email Filter Rules Manager.
Name: ingo-h3
Version: 1.1.1
Release: 1%{dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/ingo/ingo-h3-%{version}.tar.gz
#Source1: ingo.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: ingo
Provides: ingo
Prereq: /usr/bin/perl
AutoReq: no

%description
Ingo, the "Email Filter Rules Manager", started as a frontend for the Sieve
filter language, and is now a generic and complete filter rule frontend that
currently is able to create Sieve, procmail, and IMAP filter rules. The IMAP
filter driver translates the filter rules on demand to IMAP commands, executed
via PHP's IMAP extension and has replaced IMP's internal filtering code. It is
now the default filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with ingo)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
#cp -p $RPM_SOURCE_DIR/ingo.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/ingo
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/ingo
cd $RPM_BUILD_ROOT%{contentdir}/horde/ingo/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache ingo.conf file
#%config %{apachedir}/conf.d/ingo.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/ingo
# Include top-level files by hand
%{contentdir}/horde/ingo/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/ingo/lib
%{contentdir}/horde/ingo/locale
%{contentdir}/horde/ingo/po
%{contentdir}/horde/ingo/scripts
%{contentdir}/horde/ingo/templates
%{contentdir}/horde/ingo/themes
%{contentdir}/horde/ingo/js
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/ingo/LICENSE
%doc %{contentdir}/horde/ingo/README
%docdir %{contentdir}/horde/ingo/docs
%{contentdir}/horde/ingo/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/ingo/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/ingo/config/.htaccess
%{contentdir}/horde/ingo/config/*.dist
%config(noreplace) %{contentdir}/horde/ingo/config/*.php
%config(noreplace) %{contentdir}/horde/ingo/config/*.xml

%changelog
* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> 1.1.1.c4
- rolled in upstream update 1.1.1
- changed all config file from %config to %config(noreplace)
- new upstream file (stripe.js) required adding %{contentdir}/horde/ingo/js
  to the files section

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 1.1.c4
- Rolled in changes from upstream version 1.1

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 1.0.2-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
